classification
Title: make distutils.ccompiler.CCompiler an abstract class
Type: Stage: resolved
Components: Distutils2 Versions: Python 3.3, 3rd party
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: Ramchandra Apte, alexis, eric.araujo, tarek
Priority: normal Keywords:

Created on 2012-04-26 14:37 by Ramchandra Apte, last changed 2012-10-31 16:12 by eric.araujo. This issue is now closed.

Messages (7)
msg159369 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2012-04-26 14:37
Make distutils.ccompiler.CCompiler an abstract class by making it inherit from abc.ABCMeta.
Thanks
msg159371 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2012-04-26 14:48
Sorry, distutils.ccompiler.CCompiler should have abc.ABCMeta as the metaclass.
(for example like this)
class CCompiler(metaclass = abc.ABCMeta):
   ...
Thanks
msg159376 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-04-26 15:10
distutils is closed to improvements, it only gets bugfixes.  distutils2/packaging can get new features.  Can you tell more about the use case or motivation for this request?
msg159521 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2012-04-28 14:00
Well, there is no practical advantage at all.
msg159522 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2012-04-28 14:01
Please change the priorty of this bug to low.
msg159527 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-04-28 16:36
Well, if there is no reason for this change, it should be closed.
msg174297 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2012-10-31 15:52
buump.
History
Date User Action Args
2012-10-31 16:12:43eric.araujosetstatus: open -> closed
resolution: wont fix
stage: resolved
2012-10-31 15:52:37Ramchandra Aptesetmessages: + msg174297
2012-04-28 16:36:55eric.araujosetmessages: + msg159527
2012-04-28 14:01:45Ramchandra Aptesetmessages: + msg159522
2012-04-28 14:00:50Ramchandra Aptesetmessages: + msg159521
2012-04-26 15:10:38eric.araujosetversions: + 3rd party, Python 3.3, - Python 3.2
nosy: + alexis

messages: + msg159376

components: + Distutils2, - Distutils
2012-04-26 14:48:51Ramchandra Aptesetmessages: + msg159371
2012-04-26 14:38:08Ramchandra Aptesetassignee: eric.araujo

nosy: + eric.araujo, tarek
components: + Distutils
versions: + Python 3.2
2012-04-26 14:37:45Ramchandra Aptecreate